
QGIS Application - Bug report #19801

WFS not working at all

2018-09-10 03:01 AM - Willem Buitendyk

Status: Open

Priority: High

Assignee:

Category: Web Services clients/WFS

Affected QGIS version:3.2.2 Regression?: Yes

Operating System: MacOs 10.13.6 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 27626

Description

Upgraded to 3.2.2 on Mac.  WFS is completely non-responsive using WFS 1.1 or WFS 2.0.  Error coming back is:

Server generated an exception in GetFeature response: org.opengis.referencing.NoSuchAuthorityCodeException: No authority was

defined for code "". Did you forget "AUTHORITY:NUMBER"?

In addition I'm also seeing that upon initially loading the canvas is truncated.  Opening python console or messages console, resizing and

then closing allows the canvas to snap to entire screen.

Related issues:

Related to QGIS Application - Bug report # 21441: Multiple issues and deadloc... Open 2019-03-01

History

#1 - 2018-09-10 03:47 AM - Willem Buitendyk

WFS Error: "Did you forget "AUTHORITY:NUMBER"?"  was related to a bad EPSG on geoserver.

However, WFS still loads incredibly slowly or not at all compared to 2.14.  The geoserver connection I am using is drawing from a postgis backend which

may be part of the problem, yet I did not have this problem on 2.14

#2 - 2018-09-10 10:45 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Regression? changed from No to Yes

Can you share the service URL? Thanks.

#3 - 2018-09-10 06:03 PM - Willem Buitendyk

Unfortunately I can't as our WFS server is private data.  I will try to find some other large public WFS datasets to see if there is any difference.

#4 - 2018-09-11 12:56 AM - Willem Buitendyk

I've made some progress.  An old EPSG code was causing some issues so I changed it from 4030 to 4326.  WFS 1.1 works somewhat.  WFS 2.0 does not

work at all.  It all works on Windows but WFS 2.0 is very slow compared to WFS 1.1.

Here is my wild guess - it has something to do with the pop-up progress bar and large datasets.

2024-03-20 1/3



No doubt though on either Windows or Mac, WFS is much much slower.

#5 - 2018-09-11 02:04 PM - Giovanni Manghi

- Subject changed from WFS not working at all.  Canvas not fully sized on new instance of QGIS to WFS not working at all

The canvas size issue on macOS is known and was already filed in a different ticket.

#6 - 2018-09-11 02:08 PM - Giovanni Manghi

Willem Buitendyk wrote:

I've made some progress.  An old EPSG code was causing some issues so I changed it from 4030 to 4326.  WFS 1.1 works somewhat.  WFS 2.0

does not work at all.  It all works on Windows but WFS 2.0 is very slow compared to WFS 1.1.

Here is my wild guess - it has something to do with the pop-up progress bar and large datasets.

No doubt though on either Windows or Mac, WFS is much much slower.

I'm testing a Mapserver (sorry no Geoserver here) that publishes layers with millions of features, and can't see any particular slowdown compared to 2.18

(Linux here).

A test service URL that shows the issue for you is really necessary in order to be able to diagnose/troubleshoot the problem.

#7 - 2018-09-14 08:03 PM - Willem Buitendyk

Giovanni Manghi wrote:

Willem Buitendyk wrote:

I've made some progress.  An old EPSG code was causing some issues so I changed it from 4030 to 4326.  WFS 1.1 works somewhat.  WFS 2.0

does not work at all.  It all works on Windows but WFS 2.0 is very slow compared to WFS 1.1.

Here is my wild guess - it has something to do with the pop-up progress bar and large datasets.

No doubt though on either Windows or Mac, WFS is much much slower.

I'm testing a Mapserver (sorry no Geoserver here) that publishes layers with millions of features, and can't see any particular slowdown compared to

2.18 (Linux here).

A test service URL that shows the issue for you is really necessary in order to be able to diagnose/troubleshoot the problem.

Yes fair enough.  I will have to try map server with the postgis backend.  In the meantime I've started moving all of my datasets to postgis directly as it

seems to be faster and have given up on WFS.  For whatever reason that alludes me my geoserver, serving postgis data doesn't work with QGIS 3.  It still

works fine with QGIS 2.  Strange.

#8 - 2018-09-14 08:36 PM - Giovanni Manghi
Yes fair enough.  I will have to try map server with the postgis backend.  In the meantime I've started moving all of my datasets to postgis directly as

it seems to be faster and have given up on WFS.  For whatever reason that alludes me my geoserver, serving postgis data doesn't work with QGIS

3.  It still works fine with QGIS 2.  Strange.

that could be very well a QGIS 3 issue and means that must be fixed, yet is difficult to find the issue without having the necessary environment/scenario to

test.

#9 - 2018-12-28 11:35 AM - Paolo Cavallini

Any test case available?

#10 - 2019-03-08 11:31 AM - Giovanni Manghi

- Related to Bug report #21441: Multiple issues and deadlocks with WFS added

#11 - 2019-03-08 11:33 AM - Giovanni Manghi

This is likely a duplicate of #21441

#12 - 2019-03-08 11:33 AM - Giovanni Manghi

- Status changed from Feedback to Open
